%define upstream_name    HTTP-Daemon
%define upstream_version 6.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Base class for simple HTTP servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Date) >= 6.0.0
BuildRequires: perl(HTTP::Request) >= 6.0.0
BuildRequires: perl(HTTP::Response) >= 6.0.0
BuildRequires: perl(HTTP::Status) >= 6.0.0
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::IP) >= 0.320.0
BuildRequires: perl(LWP::MediaTypes) >= 6.0.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Remove private test modules
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(TestServer|TestServer::(BasicTests|Reflect)\\)$
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(TestServer|TestServer::(BasicTests|Reflect)\\)$

%description
Instances of the 'HTTP::Daemon' class are HTTP/1.1 servers that listen on a
socket for incoming requests. The 'HTTP::Daemon' is a subclass of
'IO::Socket::INET', so you can perform socket operations directly on it
too.

The accept() method will return when a connection from a client is
available. The returned value will be an 'HTTP::Daemon::ClientConn' object
which is another 'IO::Socket::INET' subclass. Calling the get_request()
method on this object will read data from the client and return an
'HTTP::Request' object. The ClientConn object also provide methods to send
back various responses.

This HTTP daemon does not fork(2) for you. Your application, i.e. the user
of the 'HTTP::Daemon' is responsible for forking if that is desirable. Also
note that the user is responsible for generating responses that conform to
the HTTP/1.1 protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 6.160.0-2.mga10
+ Revision: 2218688
- Mageia 10 Mass Rebuild

* Sun Sep 10 2023 tv <tv> 6.160.0-1.mga10
+ Revision: 1985794
- update to 6.16

* Wed Sep 07 2022 bcornec <bcornec> 6.140.0-3.mga9
+ Revision: 1884663
- Fix mga#30634 by applyng upstream patches

* Mon Mar 28 2022 umeabot <umeabot> 6.140.0-2.mga9
+ Revision: 1830608
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 6.140.0-1.mga9
+ Revision: 1788354
- update to 6.14

* Fri Feb 11 2022 tv <tv> 6.130.0-1.mga9
+ Revision: 1773147
- update to 6.13

* Tue Jun 09 2020 tv <tv> 6.120.0-1.mga8
+ Revision: 1591285
- update to 6.12

* Wed May 27 2020 tv <tv> 6.100.0-1.mga8
+ Revision: 1588127
- update to 6.10

* Sun Feb 16 2020 umeabot <umeabot> 6.60.0-2.mga8
+ Revision: 1530514
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Aug 31 2019 tv <tv> 6.60.0-1.mga8
+ Revision: 1435849
- update to 6.06

* Mon Aug 05 2019 tv <tv> 6.50.0-1.mga8
+ Revision: 1427481
- update to 6.05

* Thu Apr 04 2019 tv <tv> 6.40.0-1.mga7
+ Revision: 1385743
- update to 6.04

* Tue Apr 02 2019 tv <tv> 6.30.0-1.mga7
+ Revision: 1385169
- update to 6.03

* Wed Sep 19 2018 umeabot <umeabot> 6.10.0-8.mga7
+ Revision: 1268518
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 6.10.0-7.mga6
+ Revision: 1028432
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 6.10.0-6.mga6
+ Revision: 944572
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.10.0-5.mga5
+ Revision: 739522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.10.0-4.mga5
+ Revision: 684999
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.10.0-3.mga4
+ Revision: 512101
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.10.0-2.mga3
+ Revision: 368262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 6.10.0-1.mga2
+ Revision: 212919
- update to 6.01

* Wed Mar 02 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 62595
- imported package perl-HTTP-Daemon


* Wed Mar 02 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
